Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233916 - ss5: unowned directories
Summary: ss5: unowned directories
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ss5
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matteo Ricchetti
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-25 18:35 UTC by Michael Schwendt
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-05 23:02:08 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2007-03-25 18:35:43 UTC
=> ss5 - 3.5.9-4.i386
/etc/opt/ss5
/usr/share/doc/ss5
/usr/share/doc/ss5/examples

Comment 1 Matteo Ricchetti 2007-04-06 17:46:38 UTC
Sorry, I don't known what do you intend for?

Directories are own by root?!

Comment 2 Michael Schwendt 2007-04-06 18:10:22 UTC
I refer to packaging mistakes, which either have not been noticed
during review or have been introduced later. There are several ways
of how to include directories in a package. This is one fix as
a unified diff:

--- ss5.spec.orig       2006-10-09 20:21:18.000000000 +0200
+++ ss5.spec    2007-04-06 20:11:58.000000000 +0200
@@ -47,8 +47,10 @@
 %{_libdir}/ss5/
 
 %defattr(644,root,root)
+%dir %{_docdir}/ss5
 %{_docdir}/ss5/License
 %{_docdir}/ss5/README.pam
+%dir %{_docdir}/ss5/examples
 %{_docdir}/ss5/examples/ss5.pam
 %{_docdir}/ss5/README.ldap
 %{_docdir}/ss5/examples/slapd.conf
@@ -63,6 +65,7 @@
 %defattr(755,root,root)
 %{_localstatedir}/log/ss5
 
+%dir %{_sysconfdir}/opt/ss5
 %defattr(0640,root,root)
 %config(noreplace) %{_sysconfdir}/opt/ss5/ss5.conf
 %config(noreplace) %{_sysconfdir}/opt/ss5/ss5.passwd


Comment 3 Michael Schwendt 2007-07-05 23:02:08 UTC
Applied in CVS only.
Not tagged and no build requested.



Note You need to log in before you can comment on or make changes to this bug.